> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /habrcareer/companies

> Get Habr Career company profile by alias

**Price:** 1 credit

**⚠️ Common errors:** 412: Company not found



## OpenAPI

````yaml /openapi/jobs.json post /api/habrcareer/companies
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/habrcareer/companies:
    post:
      tags:
        - /habrcareer
      summary: /habrcareer/companies
      description: |-
        Get Habr Career company profile by alias

        **Price:** 1 credit

        **⚠️ Common errors:** 412: Company not found
      operationId: __api_habrcareer_companies_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HabrcareerCompaniesPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/HabrcareerCompany'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HabrcareerCompaniesPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        company:
          type: string
          minLength: 1
      type: object
      required:
        - company
    HabrcareerCompany:
      properties:
        '@type':
          type: string
          default: HabrcareerCompany
        id:
          type: integer
        alias:
          type: string
        url:
          type: string
        web_url:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        is_accredited:
          anyOf:
            - type: boolean
            - type: 'null'
        rating:
          anyOf:
            - type: number
            - type: 'null'
        recommended_by_percent:
          anyOf:
            - type: integer
            - type: 'null'
        recommended_by:
          anyOf:
            - $ref: '#/components/schemas/HabrcareerCompanyRecommendedBy'
            - type: 'null'
        ratings:
          items:
            $ref: '#/components/schemas/HabrcareerCompanyRating'
          type: array
          default: []
        main_award:
          anyOf:
            - $ref: '#/components/schemas/HabrcareerCompanyAward'
            - type: 'null'
        other_awards:
          items:
            $ref: '#/components/schemas/HabrcareerCompanyAward'
          type: array
          default: []
        reviews_url:
          anyOf:
            - type: string
            - type: 'null'
        reviews:
          items:
            $ref: '#/components/schemas/HabrcareerCompanyReview'
          type: array
          default: []
        published_vacancy_count:
          anyOf:
            - type: integer
            - type: 'null'
        member_count:
          anyOf:
            - type: integer
            - type: 'null'
        subscriber_count:
          anyOf:
            - type: integer
            - type: 'null'
        want_work_here_count:
          anyOf:
            - type: integer
            - type: 'null'
        contacts:
          items:
            $ref: '#/components/schemas/HabrcareerCompanyContact'
          type: array
          default: []
        addresses:
          items:
            $ref: '#/components/schemas/HabrcareerCompanyAddress'
          type: array
          default: []
        photos:
          items:
            type: string
          type: array
          default: []
        skills:
          items:
            type: string
          type: array
          default: []
        vacancies:
          items:
            $ref: '#/components/schemas/HabrcareerVacancySearchItem'
          type: array
          default: []
      type: object
      required:
        - id
        - alias
        - title
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    HabrcareerCompanyRecommendedBy:
      properties:
        '@type':
          type: string
          default: HabrcareerCompanyRecommendedBy
        positive:
          anyOf:
            - type: integer
            - type: 'null'
        neutral:
          anyOf:
            - type: integer
            - type: 'null'
        negative:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    HabrcareerCompanyRating:
      properties:
        '@type':
          type: string
          default: HabrcareerCompanyRating
        average:
          anyOf:
            - type: number
            - type: 'null'
      type: object
      required:
        - title
    HabrcareerCompanyAward:
      properties:
        '@type':
          type: string
          default: HabrcareerCompanyAward
        place:
          anyOf:
            - type: integer
            - type: 'null'
        year:
          anyOf:
            - type: integer
            - type: 'null'
        size:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    HabrcareerCompanyReview:
      properties:
        '@type':
          type: string
          default: HabrcareerCompanyReview
        score:
          anyOf:
            - type: number
            - type: 'null'
        recommended_by_percent:
          anyOf:
            - type: integer
            - type: 'null'
        created_at:
          anyOf:
            - type: string
            - type: 'null'
        advantages:
          anyOf:
            - type: string
            - type: 'null'
        disadvantages:
          anyOf:
            - type: string
            - type: 'null'
        about:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    HabrcareerCompanyContact:
      properties:
        '@type':
          type: string
          default: HabrcareerCompanyContact
        type:
          anyOf:
            - type: string
            - type: 'null'
        kind:
          anyOf:
            - type: string
            - type: 'null'
        value:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    HabrcareerCompanyAddress:
      properties:
        '@type':
          type: string
          default: HabrcareerCompanyAddress
        address:
          anyOf:
            - type: string
            - type: 'null'
        lat:
          anyOf:
            - type: number
            - type: 'null'
        lng:
          anyOf:
            - type: number
            - type: 'null'
      type: object
    HabrcareerVacancySearchItem:
      properties:
        '@type':
          type: string
          default: HabrcareerVacancySearchItem
        id:
          type: integer
        url:
          type: string
        salary:
          anyOf:
            - $ref: '#/components/schemas/HabrcareerSearchSalary'
            - type: 'null'
        salary_qualification:
          anyOf:
            - type: string
            - type: 'null'
        predicted_salary:
          anyOf:
            - $ref: '#/components/schemas/HabrcareerSearchSalary'
            - type: 'null'
        company:
          anyOf:
            - $ref: '#/components/schemas/HabrcareerSearchCompany'
            - type: 'null'
        qualification:
          anyOf:
            - type: string
            - type: 'null'
        employment:
          anyOf:
            - type: string
            - type: 'null'
        is_remote:
          anyOf:
            - type: boolean
            - type: 'null'
        is_marked:
          anyOf:
            - type: boolean
            - type: 'null'
        divisions:
          items:
            type: string
          type: array
          default: []
        skills:
          items:
            type: string
          type: array
          default: []
        locations:
          items:
            type: string
          type: array
          default: []
        reaction_count:
          anyOf:
            - type: integer
            - type: 'null'
        published_at:
          anyOf:
            - type: string
            - type: 'null'
        published_label:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - title
        - url
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    HabrcareerSearchSalary:
      properties:
        '@type':
          type: string
          default: HabrcareerSearchSalary
        salary_from:
          anyOf:
            - type: integer
            - type: 'null'
        salary_to:
          anyOf:
            - type: integer
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        formatted:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    HabrcareerSearchCompany:
      properties:
        '@type':
          type: string
          default: HabrcareerSearchCompany
        id:
          anyOf:
            - type: integer
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        rating:
          anyOf:
            - type: number
            - type: 'null'
        is_accredited:
          anyOf:
            - type: boolean
            - type: 'null'
        web_url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````